//
//  CoreDataManagerProtocol.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/31/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

protocol CoreDataManagerProtocol {
    
    func fetchFolders() -> [FolderEntity]
    func createFolderEntity() -> FolderEntity
    func deleteFolder(folder: FolderEntity)
    
    func fetchScanSessions() -> [ScanSessionEntity]
    func createScanSessionEntity() -> ScanSessionEntity
    func deleteScanSession(session: ScanSessionEntity)
    
    func saveChanges()
    func saveChangesAndWait()
}
