//
//  ShareOption.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 8/6/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

enum ShareOption {
    
    case whatsapp
    case telegram
    case gmail
    case airdop
    
    case more
    
    var bundleId: String {
        switch self {
        case .whatsapp:
            ShareOptions.whatsapp
        case .telegram:
            ShareOptions.telegram
        case .gmail:
            ShareOptions.gmail
        case .airdop:
            ShareOptions.airdop
        case .more:
            ""
        }
    }
}

struct ShareOptions {
    static var whatsapp: String = "net.whatsapp.WhatsApp.ShareExtension"
    static var telegram: String = "ph.telegra.Telegraph.Share"
    static var gmail: String = "com.google.Gmail.ShareExtension"
    static var airdop: String = ""
}
