//
//  UIImage+Images.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/21/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import UIKit

// MARK: - App images and icons
extension UIImage {
    
    static let scanButton = UIImage(resource: .scanButtonImg)
    static let preview = UIImage(resource: .preview)
    
    static let settings = UIImage(resource: .settingsIc)
    static let sparkles = UIImage(resource: .sparklesIc)
    
    static let resize = UIImage(resource: .resize)
    
    static let close = UIImage(resource: .close)
    
    static let folder = UIImage(resource: .folderImg)
    
    static let file = UIImage(resource: .fileIc)
    static let search = UIImage(resource: .searchIc)
    static let layoutGrid = UIImage(resource: .layoutGridIc)
    static let layoutList = UIImage(resource: .layoutListIc)
    static let layoutImages = UIImage(resource: .layoutImagesIc)
    
    static let folderOpen = UIImage(resource: .folderOpenIc)
    static let gallery = UIImage(resource: .galleryIc)
    
    static let trash = UIImage(resource: .trashIc)
    static let rotateSigLeft = UIImage(resource: .rotateSigLeftIc)
    static let rotateSigRight = UIImage(resource: .rotateSigRightIc)
}

// MARK: - Common system images and icons
extension UIImage {
    
    static let chevronLeft = UIImage(systemName: "chevron.left")
    static let chevronRight = UIImage(systemName: "chevron.right")
    
    static let squareAndPencil = UIImage(systemName: "square.and.pencil")
    
    static let photoStack = UIImage(systemName: "photo.stack")
    
    static let share = UIImage(systemName: "square.and.arrow.up")?.tint(with: .primary)
    
    static let eye = UIImage(systemName: "eye")
    
    static let camera = UIImage(systemName: "camera")
    static let photo = UIImage(systemName: "photo")
    static let checkmarkCircleFill = UIImage(systemName: "checkmark.circle.fill")?.tint(with: .primary)
    
}
