//
//  View+CustomCornerRadius.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 8/13/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import SwiftUI

struct CornerRadiusModifier: ViewModifier {
    
    var radius: CGFloat
    var corners: UIRectCorner
    
    func body(content: Content) -> some View {
        
        content
            .clipShape(CornerRadiusShape(radius: radius, corners: corners))
    }
}

extension View {
    
    func customCornerRadius(_ radius: CGFloat) -> some View {
        self
            .clipShape(.rect(cornerRadius: radius))
    }
    
    func customCornerRadii(_ radius: CGFloat, corners: UIRectCorner) -> some View {
        ModifiedContent(content: self, modifier: CornerRadiusModifier(radius: radius, corners: corners))
    }
}
