//
//  View+CustomFont.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 8/14/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import SwiftUI

struct CustomFontModifier: ViewModifier {
    
    var font: UIFont
    
    func body(content: Content) -> some View {
        
        content
            .font(Font(font))
    }
}

extension View {
    
    func customFont(_ font: UIFont) -> some View {
        ModifiedContent(content: self, modifier: CustomFontModifier(font: font))
    }
}
