//
//  CustomMenuPicker.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/18/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import SwiftUI

struct CustomMenuPicker<Item: CustomMenuPickerItem, Label: View>: View {
    
    @Binding var selectedItem: Item
    var items: [Item]
    
    @ViewBuilder var label: () -> Label
    
    var body: some View {
        Menu(content: {
            Picker(selection: $selectedItem, label: EmptyView()) {
                
                ForEach(items) { item in
                    
                    Text(item.displayedName)
                        .customForeground(.gray600)
                        .customFont(.bold(20))
                        .tag(item)
                }
            }
        }, label: {
            label()
        })
    }
}
