//
//  PrimaryButton.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 8/13/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import SwiftUI

struct PrimaryButton: View {
    
    var title: String
    
    var action: EmptyAction
    
    var body: some View {
        Button(action: {
            action?()
        }, label: {
            
            HStack {
                
                titleView
            }
            .frame(height: 54)
            .frame(maxWidth: .infinity)
        })
        .customBackground(.primary)
        .customCornerRadius(12)
    }
    
    private var titleView: some View {
        Text(title)
            .customForeground(.primaryText)
            .customFont(.bold(20))
    }
}

#Preview {
    PrimaryButton(title: "Button", action: { })
}
