//
//  ColorStyle.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 8/14/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import SwiftUI

enum ColorStyle {
    
    case primary
    case secondary
    case tertiary
    
    case primaryText
    case secondaryText
    case tertiaryText
    
    case statusTrue
    case statusFalse
    case statusAlert
    case base
    case transparentOverlay
    
    case gray0
    case gray100
    case gray150
    case gray200
    case gray250
    case gray300
    case gray350
    case gray400
    case gray450
    case gray500
    case gray550
    case gray600
    
    case clear
    case white
}

extension ColorStyle {
    
    var color: Color {
        switch self {
        case .primary:
                .primary
        case .secondary:
                .secondary
        case .tertiary:
                .tertiary
        case .primaryText:
                .primaryText
        case .secondaryText:
                .secondaryText
        case .tertiaryText:
                .tertiaryText
        case .statusTrue:
                .statusTrue
        case .statusFalse:
                .statusFalse
        case .statusAlert:
                .statusAlert
        case .base:
                .base
        case .transparentOverlay:
                .transparentOverlay
        case .gray0:
                .gray0
        case .gray100:
                .gray100
        case .gray150:
                .gray150
        case .gray200:
                .gray200
        case .gray250:
                .gray250
        case .gray300:
                .gray300
        case .gray350:
                .gray350
        case .gray400:
                .gray400
        case .gray450:
                .gray450
        case .gray500:
                .gray500
        case .gray550:
                .gray550
        case .gray600:
                .gray600
        case .clear:
                .clear
        case .white:
                .white
        }
    }
}

extension ColorStyle {
    
    var uiColor: UIColor {
        switch self {
        case .primary:
                .primary
        case .secondary:
                .secondary
        case .tertiary:
                .tertiary
        case .primaryText:
                .primaryText
        case .secondaryText:
                .secondaryText
        case .tertiaryText:
                .tertiaryText
        case .statusTrue:
                .statusTrue
        case .statusFalse:
                .statusFalse
        case .statusAlert:
                .statusAlert
        case .base:
                .base
        case .transparentOverlay:
                .transparentOverlay
        case .gray0:
                .gray0
        case .gray100:
                .gray100
        case .gray150:
                .gray150
        case .gray200:
                .gray200
        case .gray250:
                .gray250
        case .gray300:
                .gray300
        case .gray350:
                .gray350
        case .gray400:
                .gray400
        case .gray450:
                .gray450
        case .gray500:
                .gray500
        case .gray550:
                .gray550
        case .gray600:
                .gray600
        case .clear:
                .clear
        case .white:
                .white
        }
    }
}
