import Foundation

extension String {
  var toError: Error {
    return NSError(domain: "",
                   code: 1313,
                   userInfo: [NSLocalizedDescriptionKey: self])
  }
  
  var deletingPathExtension: String {
      return NSString(string: self).deletingPathExtension
  }
  
  var deletingLastPathComponent: String {
      return NSString(string: self).deletingLastPathComponent
  }
  
  static func getDocumentName() -> String {
      return .scan.localized + " " + date() + ".pdf"
  }
    
    static func getScanSessionName() -> String {
        return .scan.localized + " " + date()
    }
  
  static func date(_ date: Date = Date()) -> String {
    let dateForm = DateFormatter()
    dateForm.dateFormat = "dd:MM:yyyy HH:mm:ss"
    let stringDate = dateForm.string(from: date)
    
    return stringDate
  }
}
