//
//  DefaultFileType.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 8/13/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

enum DefaultFileType: CaseIterable, CustomMenuPickerItem, Codable {
    
    case pdf
    case jpeg
    
    var id: Self { self }
    
    var displayedName: String {
        switch self {
        case .pdf:
                .pdf.localized
        case .jpeg:
                .jpeg.localized
        }
    }
    
    var shareType: ShareType {
        self == .pdf ? .pdf : .jpeg
    }
}
