//
//  DefaultScreen.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 8/13/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

enum DefaultScreen: CaseIterable, CustomMenuPickerItem, Codable {
    
    case files
    case camera
    
    var id: Self { self }
    
    var displayedName: String {
        switch self {
        case .files:
                .files.localized
        case .camera:
                .camera.localized
        }
    }
}
