//
//  SettingsRepositoryProtocol.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/17/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

protocol SettingsRepositoryProtocol {
    
    func getLanguages() -> [SupportedLanguage]
    func getLanguage() -> SupportedLanguage
    func changeLanguage(to language: SupportedLanguage)
    
    func getColorScheme() -> SupportedColorScheme
    func changeColorScheme(to colorScheme: SupportedColorScheme)
    
    func handleAppLanguage()
    func handleAppStart()
}
