//
//  MainView.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/18/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import SwiftUI

struct MainView<ViewModel: MainViewModel, Content: View>: View {
    
    var viewModel: ViewModel
    
    @ViewBuilder var content:  () -> Content
    
    init(viewModel: ViewModel,
         @ViewBuilder content: @escaping () -> Content) {
        self.viewModel = viewModel
        self.content = content
    }
    
    var body: some View {
        
        content()
            .frame(maxWidth: .infinity, maxHeight: .infinity)
            .customBackground(.base)
            .onAppear {
                viewModel.onAppear()
            }
            .onDisappear() { viewModel.onDisappear() }
            .handleLayoutChanges()
    }
}
