//
//  ScanSessionsRepositoryProtocol.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/31/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

protocol ScanSessionsRepositoryProtocol {
    
    func getFolders() -> [Folder]
    func addFolder(params: Folder)
    func updateFolder(params: Folder)
    func deleteFolder(params: Folder)
    
    func getScanSessions() -> [ScanSession]
    func addScanSession(params: ScanSession, to folder: Folder)
    func updateScanSession(params: ScanSession)
    func moveScanSession(params: ScanSession, to folder: Folder)
    func deleteScanSession(params: ScanSession)
}
