//
//  Credit.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 8/15/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

struct Credit: Identifiable {
    
    let id: UUID = UUID()
    
    var title: String
    var name: String
}

extension Credit {
    static let placeholder = Credit(title: "Title", name: "Name")
}

extension [Credit] {
    
    static let placeholder: [Credit] = {
        var placeholder: [Credit] = []
        
        for i in 1...5 {
            
            placeholder.append(Credit(title: "Title \(i)", name: "Name \(i)"))
        }
        
        return placeholder
    }()
}
