//
//  CreditCell.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 8/15/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import SwiftUI

struct CreditCell: View {
    
    var credit: Credit
    
    var body: some View {
        creditItem
    }
    
    private var creditItem: some View {
        VStack(spacing: 10) {
            
            title
            
            name
        }
    }
    
    private var title: some View {
        Text(credit.title)
            .customForeground(.gray600)
            .customFont(.regular(20))
    }
    
    private var name: some View {
        Text(credit.name)
            .customForeground(.gray600)
            .customFont(.bold(24))
    }
}

#Preview {
    CreditCell(credit: .placeholder)
}
