//
//  CreditsView.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 8/15/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import SwiftUI

struct CreditsView: View {
    
    @StateObject var viewModel: CreditsViewModel
    
    init(coordinator: CreditsViewCoordinating) {
        _viewModel = StateObject(wrappedValue: CreditsViewModel(coordinator: coordinator))
    }
    
    var body: some View {
        MainView(viewModel: viewModel) {
            
            NoIndicatorsScrollView {
                
                creditsList
            }
        }
    }
}

extension CreditsView {
    
    private var creditsList: some View {
        CreditsListView(credits: viewModel.credits)
    }
}

#Preview {
    CreditsView(coordinator: CreditsViewCoordinator(navigationController: UINavigationController()))
}
