//
//  CreditsViewModel.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 8/15/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

final class CreditsViewModel: MainViewModel {
    
    @Published var credits: [Credit] = []
    
    private var coordinator: CreditsViewCoordinating
    
    init(coordinator: CreditsViewCoordinating) {
        self.coordinator = coordinator
    }
}

extension CreditsViewModel {
    
    func onAppear() {
        fetchCredits()
    }
}

extension CreditsViewModel {
    
    private func fetchCredits() {
        
        var credit = Credit(title: "Project Manager  🔭", name: "Mohamad Arab")
        
        credits = [Credit(title: "Project Manager  🔭", name: "Mohamad Arab"),
                   Credit(title: "Product Manager  🖥️", name: "Abdulaziz Ayman"),
                   Credit(title: "IOS Developer  📱", name: "George Makhoul"),
                   Credit(title: "Android Developer  💻", name: "Mohammad Makarati"),
                   Credit(title: "Product Designer  🎨", name: "Mohammad Makarati")]
    }
}
