//
//  PreviewCellLayout.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 8/13/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

enum PreviewCellLayout {
    case pager
    case grid
    
    var image: UIImage {
        switch self {
        case .pager:
                .layoutGrid
        case .grid:
                .layoutImages
        }
    }
    
    func toggle() -> Self {
        switch self {
        case .pager:
                .grid
        case .grid:
                .pager
        }
    }
}
