//
//  FolderSelectCollectionViewCell.swift
//  MiniScanner
//
//  Created by George Makhoul on 24/06/2024.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import UIKit

class FolderSelectCollectionViewCell: UICollectionViewCell {
    // MARK: - Outlets
    @IBOutlet weak var folderTitle: UILabel!
    // MARK: - Properties
    
    // MARK: - LifeCycle
    override func awakeFromNib() {
        super.awakeFromNib()
        setupUI()
    }
    
    private func setupUI() {
        setupColors()
        
        setupFonts()
    }
    
    private func setupColors() {
        folderTitle.set(color: .gray600)
    }
    
    private func setupFonts() {
        folderTitle.set(font: .medium(15))
    }
    
    func set(title: String) {
        self.folderTitle.set(text: title)
    }
}
