//
//  DocumentLayout.swift
//  MiniScanner
//
//  Created by Mustafa Merza on 7/29/24.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import Foundation

enum DocumentLayout {
    case list
    case grid
    
    var image: UIImage {
        switch self {
        case .list:
                .layoutGrid
        case .grid:
                .layoutList
        }
    }
    
    func toggle() -> Self {
        switch self {
        case .list:
                .grid
        case .grid:
                .list
        }
    }
}
